package com.rthoni.stssaguenay.dataaccess;

import com.luticate.utils.business.LuPromise;
import com.luticate.utils.business.LuRequest;
import com.luticate.utils.dbo.LuDataAccessConfigDbo;
import com.rthoni.stssaguenay.dbo.RoutesDbo;

import java.util.List;

/**
 * Created by robin on 9/30/16.
 */

public class RoutesDataAccess {

    public static LuPromise<List<RoutesDbo>> getAll(LuDataAccessConfigDbo config)
    {
        return LuRequest.get(config, RoutesDbo.PaginatedRoutesDbo.class, "routes")
                .map(new LuPromise.LuConverter<RoutesDbo.PaginatedRoutesDbo, List<RoutesDbo>>() {
                    @Override
                    public List<RoutesDbo> convert(RoutesDbo.PaginatedRoutesDbo data) {
                        return data.getData();
                    }
                });
    }
}
