package com.rthoni.stssaguenay.dataaccess;

import com.luticate.utils.business.LuPromise;
import com.luticate.utils.business.LuRequest;
import com.luticate.utils.dbo.LuDataAccessConfigDbo;
import com.rthoni.stssaguenay.dbo.StopsDbo;

import java.util.List;

/**
 * Created by robin on 9/29/16.
 */
public class StopsDataAccess {

    public static LuPromise<List<StopsDbo>> getAll(LuDataAccessConfigDbo config)
    {
        return LuRequest.get(config, StopsDbo.PaginatedStopsDbo.class, "stops")
        .map(new LuPromise.LuConverter<StopsDbo.PaginatedStopsDbo, List<StopsDbo>>() {
            @Override
            public List<StopsDbo> convert(StopsDbo.PaginatedStopsDbo data) {
                return data.getData();
            }
        });
    }
}
