package com.rthoni.stssaguenay.business;

import java.text.Normalizer;

/**
 * Created by robin on 9/29/16.
 */
public class Utils {

    public static String unaccent(String s) {
        String normalized = Normalizer.normalize(s, Normalizer.Form.NFD);
        return normalized.replaceAll("[^\\p{ASCII}]", "");
    }

    public static String normalizeString(String str)
    {
        return unaccent(str).toLowerCase().replaceAll("[^a-z0-9]", " ").replaceAll(" +", " ");
    }

    public static boolean stringMatch(String str1, String str2)
    {
        return normalizeString(str1).contains(normalizeString(str2));
    }
}
